=== classify/CMakeLists.txt ===
add_executable(classify main.cpp)
target_link_libraries(classify rapidcheck)
