=== mapparser/CMakeLists.txt ===
add_executable(mapparser main.cpp MapParser.cpp)
target_link_libraries(mapparser rapidcheck)
