## rapidcheck 0~1033-08b5058

=== debian/changelog ===
rapidcheck (0~1033-08b5058-3) unstable; urgency=medium

  * Install cmake config to per-arch dirs.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 17 Jul 2022 00:33:09 +0200

rapidcheck (0~1033-08b5058-2) unstable; urgency=medium

  * Enable "extras".
  * Add more autopkgtests.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 14 Feb 2022 11:06:02 +0100

rapidcheck (0~1033-08b5058-1) unstable; urgency=medium

  * Initial release (Closes: #1004287)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 24 Jan 2022 12:07:16 +0100
