=== debian/tests/control ===
Test-Command: c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ debian/tests/reverse.cc -lrapidcheck && "$AUTOPKGTEST_TMP"/⁊
Features: test-name=reverse
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev

# dividingByTenMakesAllNumbersEqual should fail
Test-Command: c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ examples/boost_test/main.cpp -lrapidcheck && ! "$AUTOPKGTEST_TMP"/⁊
Features: test-name=boost-test
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev, libboost-test-dev

Test-Command: c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ examples/classify/main.cpp -lrapidcheck && "$AUTOPKGTEST_TMP"/⁊
Features: test-name=classify
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev

Test-Command: c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ examples/counter/main.cpp -lrapidcheck && "$AUTOPKGTEST_TMP"/⁊
Features: test-name=counter
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev

# dividingByTenMakesAllNumbersEqual should fail
Test-Command: c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ examples/gtest/main.cpp -lrapidcheck -lgtest -pthread && ! "$AUTOPKGTEST_TMP"/⁊
Features: test-name=gtest
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev, libgtest-dev

Test-Command: cd examples/mapparser && c++ -Wall -o "$AUTOPKGTEST_TMP"/⁊ main.cpp MapParser.cpp -lrapidcheck && "$AUTOPKGTEST_TMP"/⁊
Features: test-name=mapparser
Restrictions: allow-stderr
Depends: g++, librapidcheck-dev
