## rapidcheck 0~1048-a5724ea

=== debian/changelog ===
rapidcheck (0~1048-a5724ea-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix FTBFS with gcc-13 (Closes: #1037835)

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 15 Jun 2023 12:39:12 +0200
