=== debian/control ===
Source: rapidcheck
Section: devel
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 13),
	cmake,
Standards-Version: 4.6.2
Homepage: https://github.com/emil-e/rapidcheck
Vcs-Browser: https://salsa.debian.org/debian/rapidcheck
Vcs-Git: https://salsa.debian.org/debian/rapidcheck
Rules-Requires-Root: no

Package: librapidcheck-dev
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ framework for property based testing
 RapidCheck is a C++ framework for property based testing inspired by
 QuickCheck and other similar frameworks.  In property based testing,
 you state facts about your code that given certain precondition should
 always be true.  RapidCheck then generates random test data to try and
 find a case for which the property doesn't hold.  If such a case is
 found, RapidCheck tries to find the smallest case (for some definition
 of smallest) for which the property is still false and then displays
 this as a counterexample.  For example, if the input is an integer,
 RapidCheck tries to find the smallest integer for which the property is
 false.
